#
# ATRef_Article.py
#
# Referencias bibliográficas basadas en BibTex
#
# Artículo de una revista
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, IntegerField, ImageField
from Products.Archetypes.public import StringWidget, ImageWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('journal',
                searchable = 1,
		required = 1,
		widget = StringWidget(label       = 'Revista',
                                      label_msgid = 'journal',
                                      i18n_domain = 'References',
                                      ),
                ),
    IntegerField('number',
		widget = StringWidget(label       = 'Número',
                                      label_msgid = 'number',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('date',
		widget = StringWidget(label       = 'Fecha',
                                      label_msgid = 'date',
                                      i18n_domain = 'References',
                                      )
              ),
    ImageField('cover',
		widget = ImageWidget(label       = 'Portada',
                                     label_msgid = 'cover',
                                     i18n_domain = 'References',
                                     )
	      ),
    ),
                              )
# Clase
class ATRef_Article(ATReference):
    """Article Reference"""

    schema = schema

    content_icon    = 'ref_article.gif'
    meta_type       = 'ATRef_Article'
    portal_type     = 'ArticleReference'
    archetype_name  = 'Article Reference'
    typeDescription = 'Article Reference'
    typeDescMsgId   = 'description_ref_article'
    

    actions = ({'id'         : 'view',
		'name'       : 'View',
		'action'     : 'string:${object_url}/article_view',
		'permissions': (CMFCorePermissions.View,)
		},)


# Registrar el tipo
registerType(ATRef_Article, PROJECTNAME)
