#
# ATRef_InBook.py
#
# Referencias bibliográficas basadas en BibTex
#
# Parte de dentro de un libro
#
# Alejandro Álvarez Ayllón - 01/04/2006
#

from Products.Archetypes.public import BaseSchema, Schema
from Products.Archetypes.public import StringField, ReferenceField
from Products.Archetypes.public import StringWidget, ReferenceWidget
from Products.CMFCore import CMFCorePermissions
from Products.Archetypes.public import BaseContent, registerType
from config import PROJECTNAME
from ATReference import ATReference

# Campos
schema = ATReference.schema +  Schema((
    StringField('chapter',
		widget = StringWidget(label       = 'Capítulo',
                                      label_msgid = 'chapter',
                                      i18n_domain = 'References',
                                      )
                ),
    StringField('pagerange',
		widget = StringWidget(label = 'Páginas',
                                      label_msgid = 'page_range',
                                      i18n_domain = 'References',
                                      )
              ),
    ReferenceField('book',
		relationship = 'Belongs To',
		allowed_types = ('BookletReference', 'BookReference', 'EBookReference',),
		widget = ReferenceWidget(label       = 'Pertenece a',
                                         label_msgid = 'belongs_to',
                                         i18n_domain = 'References',
                                         )
	      ),
    ),
                              )

# Clase
class ATRef_InBook(ATReference):
    """InBook Reference"""

    schema = schema

    content_icon    = 'ref_inbook.gif'
    meta_type       = 'ATRef_InBook'
    portal_type     = 'InBookReference'
    archetype_name  = 'InBook Reference'
    typeDescription = 'InBook Reference'

    actions = ({
	'id'         : 'view',
	'name'       : 'View',
	'action'     : 'string:${object_url}/inbook_view',
	'permissions': (CMFCorePermissions.View,)
	},)

# Registrar el tipo
registerType(ATRef_InBook, PROJECTNAME)
